# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Date/Parse.pm) perl(Time/Duration.pm) perl(URI/Find/Simple.pm) perl(URI/Title.pm) perl(warnings/register.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Bot-BasicBot
Version:        0.87
Release:        alt1_5
Summary:        Simple irc bot baseclass
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Bot-BasicBot/
Source0:        http://www.cpan.org/authors/id/H/HI/HINRIK/Bot-BasicBot-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Encode.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(IRC/Utils.pm)
BuildRequires:  perl(POE.pm)
BuildRequires:  perl(POE/Component/IRC.pm)
BuildRequires:  perl(POE/Component/IRC/State.pm)
BuildRequires:  perl(POE/Component/IRC/Plugin/Connector.pm)
BuildRequires:  perl(POE/Filter/Line.pm)
BuildRequires:  perl(POE/Kernel.pm)
BuildRequires:  perl(POE/Session.pm)
BuildRequires:  perl(POE/Wheel/Run.pm)
BuildRequires:  perl(Text/Wrap.pm)
# Tests
BuildRequires:  perl(IO/Socket.pm)
BuildRequires:  perl(IO/Socket/INET.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(POE/Component/IRC.pm) >= 6.62
Source44: import.info

%description
Basic bot system designed to make it easy to do simple bots, optionally
forking longer processes (like searches) concurrently in the background.

%prep
%setup -q -n Bot-BasicBot-%{version}
find examples -type f -exec chmod 644 {} \;
iconv -f latin1 -t utf8 README > README.utf8 && mv README.utf8 README

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes dist.ini examples LICENSE META.json README
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.87-alt1_5
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.87-alt1_4
- update to new release by fcimport

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.87-alt1_2
- fc import

